<?php

declare(strict_types=1);

namespace Tests\Dedi\SyliusCmsPlugin\Form\Extension;

use Dedi\SyliusCmsPlugin\Form\Type\BlockAwareTraitType;
use Sylius\Bundle\TaxonomyBundle\Form\Type\TaxonType;
use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\FormBuilderInterface;

final class TaxonTypeExtension extends AbstractTypeExtension
{
    use BlockAwareTraitType;

    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $this->buildBlockAwareForm($builder, $options);
    }

    public static function getExtendedTypes(): iterable
    {
        return [TaxonType::class];
    }
}
